Bug 183291 - Review Request: ipod-sharp
Review Request: ipod-sharp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On: 183290
Blocks: FE-ACCEPT 183292
  Show dependency treegraph
 
Reported: 2006-02-27 18:03 EST by Christopher Aillon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 14:57:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2006-02-27 18:03:52 EST
Spec and SRPM from: http://people.redhat.com/caillon/RPMS/rawhide/banshee/
Description: ipod-sharp provides high-level feature support for Apple's iPod and binds libipoddevice. ipod-sharp is written in C# under Mono.
Comment 1 Brian Pepple 2006-03-02 10:31:02 EST
MD5Sums:
734956f3505f776c6920d4ae687f4bee  ipod-sharp-0.5.15.tar.gz

Good:
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Builds fine in Mock (once missing BR (hal-devel) added to spec)
* Package installs and uninstalls cleanly on FC5.
* Make succeeds even when %{_smp_mflags} is defined

Bad:
* Missing Build Requirement for hal-devel
* Source URL isn't canonical. Should be
http://banshee-project.org/files/%{name}/%{name}-%{version}.tar.gz
* License is LGPL, not GPL.
* Add COPYING file to package.
* rpmlint gives the following errors:
  E: ipod-sharp no-binary
  E: ipod-sharp only-non-binary-in-usr-lib
  W: ipod-sharp no-documentation
  W: ipod-sharp devel-file-in-non-devel-package /usr/lib/pkgconfig/ipod-sharp.pc
  W: ipod-sharp devel-file-in-non-devel-package /usr/lib/pkgconfig/ipod-sharp-ui.pc

  Most of these errors can be ignored, or be easily corrected (like adding the
COPYING file).  You should probably add a -devel sub-package to handle the *.pc
files, though.

APPROVED, once these items are corrected.   
Comment 2 Brian Pepple 2006-03-10 14:54:05 EST
This has been built hasn't it?  If so, this bug can be closed.
Comment 3 Christopher Aillon 2006-03-10 14:57:25 EST
Yeah, I'm just lazy/forgetful.  ;-)

Note You need to log in before you can comment on or make changes to this bug.